Installing Zimbra 8 on FreeBSD
04/24/2014 03:02 PM - Daniel Curtis

Status: Suspended Start date: 04/24/2014
Priority: High Due date:

Assignee: Daniel Curtis % Done: 90%
Category: Mail Server Estimated time: 3.00 hours
Target version: FreeBSD 9 Spent time: 12.00 hours
Description

Zimbra is one of the top contenders of Microsoft Exchange services (email, calendar, employee collaboration, etc.) in the Open
Source Community. Here is a blurb from their site:

Zimbra Community is an online community and private social networking solution designed to enhance customer support and
increase employee productivity.

Unfortunately, the supported Operating Systems for Zimbra are rather old (Ubuntu 12.04 / Debian 5) and it does not support
FreeBSD either. | do not want to dedicate a physical box to so | have chosen to build Zimbra 8 from source in a FreeNAS Jail, which
is just a FreeBSD 9.2 virtual server. This guide assumes that the server has already been setup and SSH access has been obtained.

(Option 1) Installing the unofficial binary

e Start by refreshing the ports tree:

portsnap fetch extract
pkg install bash

¢ And install a few prerequisite PERL Modules:

pkg install p5-DBI p5-Data-UUID p5-Net-DNS-Resolver-Programmable p5-NetAddr-IP

e Then build the Zimbra run dependencies from source:
1. Download the zimbra-rundeps port from an external source (I will include a copy for posterity) and add it to the ports tree:

mkdir /home/user/src/ && cd /home/user/src/

wget http://zimbra.imladris.sk/download/ports/usrports_zimbra-rundeps-8.0.8.tgz
tar xzf usrports_zimbra-rundeps-8.0.8.tgz

cp -r zimbra-rundeps /usr/ports/net/

2. Build the dependencies

cd /usr/ports/net/zimbra-rundeps
make install clean

e Next download and install Zimbra 8.0.8 (I will include a copy for posterity)

cd /home/user/src

wget http://zimbra.imladris.sk/download/zimbra-packages/IRONMAIDEN-808/zcs-8.0.8_GA_6038.FreeB
SD_amd64.20140410114750.tgz

tar xzf zcs-8.0.8_GA_6038.FreeBSD_amd64.20140410114750.tgz

cd zcs-8.0.8_GA_6038.FreeBSD_amd64.20140410114750/

./FreeBSD_amdé64.install.sh
NOTE: This will also prompt to automagically install the zimbra-rundep dependency. Select Y to continue installing Zimbra.
Configure Zimbra

When the install finished, a prompt will appear. The admin password needs to be set before continuing:

3
4
SuperSecretPassword
iz
a

When the installation finished, point a web browser at the newly create Zimbra server and login using the admin credentials provided
during configuration.

NOTE: To download the Desktop Client Applications, go to http:/zimbra.example.com/downloads/index.html.

This method worked to get Zimbra installed; the following versions are recorded in hopes to documents building Zimbra fully from
source.

(Option 2) Building-Zimbra-from-git- source
WARNING: | have yet been able to successfully build Zimbra from source on FreeBSD 9.2.
e To begin, we need to install some dependencies.

pkg install git bash wget p5-DBI p5-Data-UUID p5-Net-DNS-Resolver-Programmable p5-NetAddr-IP 1
ibltdl

e Next refresh the ports tree:

portsnap fetch extract
pkg install bash

Add the Zimbra git development keys:

e Obtain the git ssh access keys

mkdir -p /tmp/zimbra-git

cd /tmp/zimbra-git

wget http://files2.zimbra.com/downloads/git-fusion/zimbra-git-ssh.tgz
tar xfz zimbra-git-ssh.tgz

* Add the access keys to your own user account:

cd ~/.ssh
cp /tmp/zimbra-git/id_rsa_git*

e Add the following ~/.ssh/config. Create the file if it doesn't exist:

Host zimbra-git
User public
Hostname git.zimbra.com
IdentityFile ~/.ssh/id_rsa_git
IdentitiesOnly yes
Port 1067
http://zimbra.example.com/downloads/index.html

Build the Zimbra dependencies from source:

e Download the zimbra-builddeps port from an external source (I will include a copy for posterity) and add it to the ports tree:

portsnap fetch extract

cd /usr/ports/mail

wget http://zimbra.imladris.sk/download/ports/usrports_zimbra-builddeps-8.0.8.tgz
wget http://zimbra.imladris.sk/download/ports/usrports_zimbra-rundeps-8.0.8.tgz
tar xzf usrports_zimbra-builddeps-8.0.8.tgz

tar xzf usrports_zimbra-rundeps-8.0.8.tgz

e Build the Zimbra build dependencies

cd /usr/ports/mail/zimbra-builddeps
make install clean

e Build the Zimbra run dependencies

cd /usr/ports/mail/zimbra-rundeps
make install clean

o Next download the current release of Zimbra:

mkdir ~/git
cd ~/git
git clone git@zimbra-git:zimbra-foss

NOTE: This took nearly 12GB of storage, so be forewarned.
e Change the current branch to the most current stable version

cd ~/git/zimbra-foss
git checkout ironmaiden-foss

e Then download the FreeBSD patch for Zimbra and patch the install:

cd ~/git

wget http://zimbra.imladris.sk/download/patches/IRONMAIDEN-808-FreeBSD.patch
cd zimbra-foss

patch -pl -s < ../IRONMAIDEN-808-FreeBSD.patch

chmod 755 ZimbraBuild/rpmconf/Spec/Scripts/FreeBSD/*

mkdir /opt/zimbra

chown zimbra:zimbra /opt/zimbra

e Download the Java Cryptographic Extension

mkdir -p ~/git/zimbra-foss/ThirdPartyBuilds/i386/java/jce
mkdir ~/jce && cd ~/jce

cp /path/to/jce_policy-6.zip

unzip Jjce_policy-6.zip

cp -r ~/jce ~/git/zimbra-foss/ThirdPartyBuilds/i386/java/

e Compile and install Zimbra

cd ~/git/zimbra-foss/ZimbraBuild
./buildZCS.sh -t

This will begin a process to automatically resolve any further dependencies.
http://www.oracle.com/technetwork/java/javase/downloads/jce-6-download-429243.html

® | used the following CPAN repository, since | am not a fan of yahoo (the default):

http:/ftp.osuosl.org/pub/CPAN/

Resources

https://wiki.zimbra.com/wiki/Zimbra_on_FreeBSD
http://www.zimbra.com/forums/installation/61938-ironmaiden-8-0-3-ported-freebsd-2.html
https://wiki.zimbra.com/wiki/Building_Zimbra_using_Git
http://wiki.zimbra.com/wiki/Building_ IRONMAIDEN_8.0.3_on_FreeBSD_9.1_amd64

History

#1 - 04/25/2014 08:20 AM - Daniel Curtis
- Description updated

- Status changed from New to In Progress
- Priority changed from Normal to High

- % Done changed from 100 to 50

#2 - 04/25/2014 11:14 AM - Daniel Curtis
- Description updated

- % Done changed from 50 to 80

#3 - 04/25/2014 01:34 PM - Daniel Curtis

- File usrports_zimbra-builddeps-8.0.8.tgz added
- File zcs-8.0.8-FreeBSD-9_amd64.t9z added

- Description updated

- Status changed from In Progress to Closed

#4 - 04/25/2014 01:36 PM - Daniel Curtis

- Description updated

#5 - 07/09/2014 10:10 PM - Daniel Curtis

- Description updated

#6 - 07/09/2014 10:27 PM - Daniel Curtis

- Description updated

#7 - 07/10/2014 04:49 AM - Daniel Curtis

- Description updated

#8 - 07/26/2014 09:10 PM - Daniel Curtis
- Description updated

- Status changed from Closed to In Progress

#9 - 07/27/2014 08:09 AM - Daniel Curtis

- Description updated

#10 - 07/27/2014 08:49 AM - Daniel Curtis

- Description updated

#11 - 07/27/2014 08:15 PM - Daniel Curtis
- File jce_policy-6.zip added
- Description updated

So far | have been unable to compile Zimbra Collaboration Suite from source. This is due to my lack of being able to hack the makefiles to support the
FreeBSD packaging system.

For the time being, | am going to move building Zimbra from source on an Ubuntu Jail, and if that fails | will be dedicate a full virtual machine to this.

The first method for installing Zimbra using the provided packages works, however | want to be able to build my production systems from source.

#12 - 08/07/2014 06:41 PM - Daniel Curtis

- Description updated

#13 - 08/08/2014 12:50 PM - Daniel Curtis
- File IRONMAIDEN-808-FreeBSD.patch added
- Description updated

#14 - 08/08/2014 01:30 PM - Daniel Curtis
- Description updated
- % Done changed from 80 to 90

#15 - 08/08/2014 01:32 PM - Daniel Curtis
- Project changed from 89 to FreeBSD Administration

#16 - 08/08/2014 01:34 PM - Daniel Curtis
- File usrports_zimbra-rundeps-8.0.8.tgz added

#17 - 08/11/2014 07:42 AM - Daniel Curtis

- Description updated

#18 - 12/05/2014 03:22 PM - Daniel Curtis

- Description updated

#19 - 02/14/2015 10:34 AM - Daniel Curtis

- Target version set to FreeBSD 9

#20 - 02/14/2015 11:28 AM - Daniel Curtis

- Subject changed from Installing Zimbra 8 on FreeBSD 9.2-RELEASE to Installing Zimbra 8 on FreeBSD

- Category set to Mail Server

#21 - 06/16/2015 03:19 PM - Daniel Curtis

- Status changed from In Progress to Suspended

Files

usrports_zimbra-builddeps-8.0.8.tgz
zcs-8.0.8-FreeBSD-9_amd64.tgz
